# Obtain SSL Certificate Information - DescribeSSLV2

## Overview

Obtain SSL certificate information, this interface can simultaneously obtain the binding relationship of SSL with traditional and application load balancer listeners






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeSSLV2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **SSLId** | string | Id of SSL Certificate |No|
| **Limit** | int | Data pagination value, default is 20 |No|
| **Offset** | int | Data offset, default value is 0 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of eligible SSL certificates |No|
| **DataSet** | array[[*SSLInfo*](#sslinfo)] | Detailed information of SSL certificate, see SSLInfo for specific structure. |No|

#### Data Model


#### SSLInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **SSLId** | string | Id of SSL Certificate |No|
| **SSLName** | string | Name of the SSL Certificate |No|
| **SSLType** | string | SSL Certificate type, currently only Pem type is available |No|
| **SSLContent** | string | Content of the SSL Certificate |No|
| **CreateTime** | int | Creation time of the SSL certificate |No|
| **HashValue** | string | HASH value of SSL certificate |No|
| **Relations** | array[[*SSLRelation*](#sslrelation)] | The relationship of SSL binding with ULB and ALB |No|
| **SSLSource** | int | Source of SSL Certificate, Source of SSL Certificate, 0 represents the certificate is from the ULB platform, 1 represents the certificate is from the USSL platform. |No|
| **USSLId** | string | The ID of the USSL Certificate Platform, only appears when SSLSource is 1. |No|
| **Domains** | string | Domain of SSL Certificate |No|
| **DNSNames** | string | Extended Domain of SSL Certificate |No|
| **NotBefore** | int | Certificate Issuance Time |No|
| **NotAfter** | int | Certificate Expiration Time |No|

#### SSLRelation

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **LoadBalancerId** | string | ID of the Load Balancing Instance |No|
| **LoadBalancerName** | string | Name of the Load Balancing Instance |No|
| **ListenerId** | string | Listener's ID |No|
| **ListenerName** | string | Name of the Listener |No|
| **IsDefault** | boolean | Is it the default SSL certificate for the listener? |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeSSLV2
&Region=MugqZBZG
&ProjectId=EAolgCLw
&SSLId=gmehGNgp
&Limit=5
&Offset=9
```

### Response Example
    
```json
{
  "Action": "DescribeSSLV2Response",
  "DataSet": [
    {
      "CreateTime": 9,
      "SSLBindedTargetSet": [
        "ngLEWbOi"
      ],
      "SSLContent": "suFedZgn",
      "SSLId": "wWpnuBzD",
      "SSLName": "FLDjCBnm",
      "SSLType": "iMInfAKH"
    }
  ],
  "RetCode": 0,
  "TotalCount": 5
}
```





